Summary: SME Server CUPS module
Name: smeserver-cups
Version: 0.0.1
Release: 02
License: GPL
Group: Networking/Daemons
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-smbd_sigterm.patch
Patch1: %{name}-%{version}-use_client_driver.patch
Packager: Robert van den Aker <robert2@dds.nl>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: e-smith-base, cups >= 1:1.1.17, e-smith-lib >= 1.15.2-02
Requires: ipsvd, runit, e-smith-runit
Conflicts: e-smith-LPRng
BuildArch: noarch
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
CUPS module for SME Server.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
LEXICONS=$(find root/etc/e-smith/locale/*/etc/e-smith/web/functions \
	-type f)
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir /var/service/cupsd "attr(1755,root,root)" \
    --file /var/service/cupsd/down "attr(0644,root,root)" \
    --file /var/service/cupsd/run "attr(0755,root,root)" \
    --dir /var/service/cupsd/supervise "attr(0700,root,root)" \
    --dir /var/service/cupsd/log "attr(1755,root,root)" \
    --file /var/service/cupsd/log/run "attr(0755,root,root)" \
    --dir /var/service/cupsd/log/supervise "attr(0700,root,root)" \
    --dir /var/log/cups/cupsd "attr(2750,smelog,smelog)" \
    --dir /var/service/cups-lpd "attr(1755,root,root)" \
    --file /var/service/cups-lpd/down "attr(0644,root,root)" \
    --file /var/service/cups-lpd/run "attr(0755,root,root)" \
    --dir /var/service/cups-lpd/supervise "attr(0700,root,root)" \
    --dir /var/service/cups-lpd/log "attr(1755,root,root)" \
    --file /var/service/cups-lpd/log/run "attr(0755,root,root)" \
    --dir /var/service/cups-lpd/log/supervise "attr(0700,root,root)" \
    --dir /var/log/cups/cups-lpd "attr(2750,smelog,smelog)" \
    --file /home/e-smith/db/cups "config(noreplace) %attr(0640,root,admin)" \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

%changelog
* Tue Jun 13 2006 Robert van den Aker <robert2@dds.nl>
- [0.0.1-02]
- s/Obsoletes/Conflicts/ e-smith-LPRng.
- Add "use client driver" parameter to smb.conf [printers] template.
- Send SIGTERM instead of SIGHUP to smbd in printer-sync event. [cf. SME: 1167]

* Tue Dec  6 2005 Robert van den Aker <robert2@dds.nl>
- [0.0.1-01]
- Initial release based on e-smith-cups. Includes French translation by Fabien
  Illide, Spanish translation by Jaime Nebrera Herrera, and German translation
  by Peter Schubert.
